#include <iostream>
#include <GL/glut.h>
#include "Camera.h"
#include "LocalPlayer.h"
#include "Math.h"
#include "Matrix.h"

Camera::Camera(const Vector3f& pos, const LocalPlayer* pl)
{
	player = pl;

	displacement.set(-1.0f, 0.5f, 0.0f);
	//displacement.rotate(player->rotation);
}

void Camera::mouseInput(float deltaX, float deltaY)
{
	//displacement.rotate(deltaX, -player->rotAxis.y);
	//displacement.rotate(deltaY, -player->rotAxis.x);
}

void Camera::apply()
{
//	Vector3f viewPoint = player->position + player->getDirection();
	position = player->position + displacement;

	Vector3f orient(player->getDirection());
	Vector3f up(player->rotAxis.y); 

	Vector3f s, u;
	crossProduct(orient, up, &s);
	crossProduct(s, orient, &u);

	Matrix m(s, u, -orient);

	glMultMatrixf((float*) &m);
	glTranslated(-position.x, -position.y, -position.z);

/*
	gluLookAt(position.x, position.y, position.z, 
		viewPoint.x, viewPoint.y, viewPoint.z, 
		player->rotAxis.y.x, player->rotAxis.y.y, player->rotAxis.y.z);
*/
}
