#ifndef CAMERA_H
#define CAMERA_H

#include "Vector3.h"
class LocalPlayer;

class Camera
{
	Vector3f displacement;
	const LocalPlayer *player;

public:
	Camera(const Vector3f& pos, const LocalPlayer* pl);

	void mouseInput(float deltaX, float deltaY);

	void rotate(float angle, const Vector3f& axis)
	{ displacement.rotate(angle, axis); }

	void apply();

	Vector3f position;
};

#endif