#ifndef CLIENTSOCKET_H
#define CLIENTSOCKET_H

#include <winsock.h>

class ClientSocket
{
private:
	WSADATA wsaDat;
	SOCKET theSocket;
	bool winsockInit;
public:
	ClientSocket();
	ClientSocket(char *host, int port);
	~ClientSocket();

	bool initWinsock();
	void deinitWinsock();
	bool openSocket(char *host, int port);
	void closeSocket();
	bool sendData(char* buffer, int size);
	bool receiveData(char* buffer);
	bool receiveData(char *buffer, int size);
	bool readLine(char* line);
	bool isWinsockInit();
};

#endif