#pragma once

#include "Vector3.h"

struct Plane
{
	Vector3f normal;
	float distance;

	Plane() { }

	Plane(const float a, const float b, const float c, const float d)
	{ set (a, b, c, d);	}

	// Create a plane through the origin with the given normal
	Plane(const Vector3f normal)
	{ set (normal.x, normal.y, normal.z, 0.0f);	}

	void set(const float a, const float b, const float c, const float d);
	Vector3f getRandomPoint();
	Vector3f getRandomVector();
};
