#ifndef HUD_H
#define HUD_H

#include "Vector3.h"

class GLFont;



class HUD {
public:
   static void Init();
   static void Draw();
   static void DrawRadar();
   //static void DrawRadarDebugInfo();


protected:
   static unsigned int hud_texture;
   static GLFont* hud_font1;
   static GLFont* hud_font2;

   // Radar stuff.
   static Vector3f pos;
   static Vector3f view;
   static float cos_angle;

   static const float RADAR_ANGLE;
};
#endif
