#ifndef MENUITEM_H
#define MENUITEM_H

#include <windows.h>
#include <stdio.h>
#include <stdlib.h>
#include <vector>


class MenuItem {
public:
   MenuItem(int t, int b, int l, int r, char* text);
   virtual ~MenuItem();
   virtual bool MouseClicked(int x, int y);
   virtual void Draw();
   virtual void Action();

   bool visible;
   bool selected;
   bool has_children;
   int top, bottom, left, right;
   char* name;
   
   std::vector<MenuItem*> children;
};
#endif
