#ifndef MENUS_H
#define MENUS_H

#include "menuitem.h"
#include "gl_font.h"

class Menus {
public:

   static void Init();
   static void MouseClick(int x, int y);
   static void Draw();
   //static void Text(int x, int y, char* string);

   static GLFont* font;

   static int team;
   static int ship_type;
   static int primary_weapon_type;
   static int secondary_weapon_type;

   static std::vector<MenuItem*> team_items;
   static std::vector<MenuItem*> ship_type_items;
   static std::vector<MenuItem*> primary_weapon_type_items;
   static std::vector<MenuItem*> secondary_weapon_type_items;

   static MenuItem* ok_item;
protected:


   //static unsigned int font_list_base;
   //static unsigned int font_texture;

};
#endif
