#pragma once

#include "Player.h"
#include "Camera.h"
class Projectile;

class LocalPlayer : public Player
{
	Vector3f strafeVector;

	void strafe(float dir);
	void incSpeed()	{ velocity += 1.0f; if (velocity >= MaxVelocity) velocity = MaxVelocity; }
	void decSpeed() { velocity -= 1.0f; if (velocity <= -MaxVelocity) velocity = -MaxVelocity; }
public:
	friend class Camera;
	Camera *camera;

	LocalPlayer(Geometry * , const Vector3f& , const Vector3f&);
	void setCamera(Camera *cam) { camera = cam; }
	void keyboardInput(unsigned char key);
	void mouseInput(float deltaX, float deltaY);

	virtual void update(float time);
	virtual void draw() const;
	virtual void hit(const Projectile* projectile, const Vector3f& location);
	virtual void die();

	void drawCrossHair() const;
};