#ifndef OBJECT2D_H
#define OBJECT2D_H

#include "object.h"

class Object2d : public Object {
public:
	Object2d(const Vector3f& pos) : Object(0, pos) { }
	Object2d(unsigned int tex_id, const Vector3f& start, float s);
	virtual ~Object2d();

	virtual void update(float time);
	virtual void draw() const;

protected:

   unsigned int texture_id;
   float scale;

};

#endif