#pragma once

#include "BoundingSphere.h"
class Shader;

class PlayerShield : public BoundingSphere
{
	Shader *shader;

	Vector3f pointLastHit;
	float timeLastHit;

public:
	PlayerShield(const Vector3f *pos, float radius, const char *filename);
	virtual ~PlayerShield();

	void setImpact(const Vector3f& location, float time)
	{ pointLastHit = location; timeLastHit = time; }

	virtual void draw() const { drawShield(0.0f); }

	void drawShield(float time) const;
};