#pragma once

#include "Model3ds.h"

class Spacecraft : public Model3ds
{
public:
   Spacecraft(void);
   Spacecraft(char* filename, float y_deg, float scle, unsigned int tex, const Vector3f& l_offset, const Vector3f& r_offset);
   ~Spacecraft(void);

   Vector3f getLeftWeaponOffset() { return left_offset; }
   Vector3f getRightWeaponOffset() { return right_offset; }
   
private:
   Vector3f left_offset;
   Vector3f right_offset;
};
