#include <windows.h>
#include <stdio.h>
#include <stdlib.h>
#include <vector>
#include <time.h>
#include <gl\gl.h>
#include <gl\glu.h>
#include <gl\glaux.h>
#include "menuitem.h"
#include "menus.h"




MenuItem::MenuItem(int t, int b, int l, int r, char* text) {

   top = t;
   bottom = b;
   left = l;
   right = r;
   name = text;
   selected = false;
   has_children = false;
   /*has_children = (hc != 0);

   if (has_children) {
      children.push_back(new MenuItem(top, bottom, right, right + 150, "Item 1"));
      children.push_back(new MenuItem(bottom, bottom - 50, right, right + 150, "Item 2"));
      children.push_back(new MenuItem(bottom - 50, bottom - 100, right, right + 150, "Item 3"));
   }*/
}

MenuItem::~MenuItem() {


}

bool MenuItem::MouseClicked(int x, int y) {

   if ((x >= left) && (x <= right) && (y >= bottom) && (y <= top)) {
      // Do some action.
      //selected = true;
      Action();
      return true;
   }
   return false;
}

void MenuItem::Draw() {

   // Draw myself.
   glDisable(GL_TEXTURE_2D);
   if (selected)
      glColor3f(0.1f, 1.0f, 1.0f);
   else
      glColor3f(0.1f, 0.1f, 1.0f);
   //glTranslatef(0.0f, 0.0f, 1.0f);
   glBegin(GL_QUADS);
	glVertex2i(left, top);
	glVertex2i(right, top);
	glVertex2i(right, bottom);
	glVertex2i(left, bottom);
	glEnd();

   glColor3f(0.1f, 0.1f, 0.1f);
   //glTranslatef(0.0f, 0.0f, 0.9f);
   glBegin(GL_QUADS);
	glVertex2i(left + 2, top - 2);
	glVertex2i(right - 2, top - 2);
	glVertex2i(right - 2, bottom + 2);
	glVertex2i(left + 2, bottom + 2);
	glEnd();

   

   //Menus::Text(left, top, name);
   glColor3f(1.0f, 0.1f, 0.1f);
   Menus::font->Printi(left + 20, bottom + 20, name);

   glEnable(GL_TEXTURE_2D);
}

void MenuItem::Action() {


}
