#ifndef TEXTURE_LOADING_H
#define TEXTURE_LOADING_H

#include <map>

struct ltstr
{
	bool operator()(const std::string& s1, const std::string& s2) const
	{ return strcmp(s1.c_str(), s2.c_str()) < 0; }
};

class TextureLoading {
public:
	static unsigned int LoadTexture(const char* filename);
	static unsigned int GetTexture(const char* filename);

	static std::map<std::string, unsigned int, ltstr> textures;
};
#endif
